Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class ScaleBarFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.ConcreteTextFormats
          info.bioinfweb.treegraph.document.format.ScaleBarFormats

All Implemented Interfaces:
  ElementFormats, LineFormats, TextFormats, Cloneable

    public class ScaleBarFormats

extends ConcreteTextFormats
implements LineFormats

Stores the formats of a `ScaleBar`.

Author:
  Ben Stöver

Field Summary
`private ScaleAlignment` | `alignment`
`static ScaleAlignment` | `DEFAULT_ALIGNMENT`
`static float` | `DEFAULT_HEIGHT_IN_MM`
`static boolean` | `DEFAULT_INCREASING`
`static int` | `DEFAULT_LONG_INTERVAL`
`static float` | `DEFAULT_SMALL_INTERVAL` The default small interval length in branch length units.
`static float` | `DEFAULT_SMALL_INTERVAL_IN_MM` The default small interval length in millimeters.
`static boolean` | `DEFAULT_START_LEFT`
`static float` | `DEFAULT_TEXT_HEIGHT_IN_MM`
`static float` | `DEFAULT_TREE_DISTANCE_IN_MM`
`static float` | `DEFAULT_WIDTH_IN_MM`
`private DistanceValue` | `height`
`private boolean` | `increasing`
`private Color` | `lineColor`
`private DistanceValue` | `lineWidth`
`private int` | `longInterval`
`private float` | `smallInterval`
`private boolean` | `startLeft`
`private DistanceValue` | `treeDistance`
`private ScaleValue` | `width`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, DEFAULT_FONT_NAME, DEFAULT_LOCALE, DEFAULT_TEXT_COLOR, ITALIC, PLAIN, UNDERLINE`

Constructor Summary
`ScaleBarFormats()`

Method Summary
`void` | `assign(ScaleBarFormats other)`
`void` | `assignLineFormats(LineFormats other)`
`void` | `assignScaleBarFormats(ScaleBarFormats other)`
`ScaleBarFormats` | `clone()`
`ScaleAlignment` | `getAlignment()`
`DistanceValue` | `getHeight()` Defines the height of the long dashes (the height of the text below is not included.)
`Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`int` | `getLongInterval()` The long interval specifies how often the scale bar is labeles with a value.
`float` | `getSmallInterval()` The small interval speccifies the distance between the small dashes of the branch length scale bar in branch length units.
`DistanceValue` | `getTreeDistance()`
`ScaleValue` | `getWidth()`
`boolean` | `isIncreasing()`
`boolean` | `isStartLeft()`
`void` | `setAlignment(ScaleAlignment scaleAnchor)`
`void` | `setIncreasing(boolean increasing)`
`void` | `setLineColor(Color color)`
`void` | `setLongInterval(int longInterval)`
`void` | `setSmallInterval(float smallInterval)`
`void` | `setStartLeft(boolean startLeft)`

Methods inherited from class info.bioinfweb.treegraph.document.format.ConcreteTextFormats
`addTextStyle, assignTextFormats, getDecimalFormat, getDescent, getFont, getFontName, getLocale, getTextColor, getTextHeight, getTextStyle, hasTextStyle, removeTextStyle, setDecimalFormat, setFontName, setLocale, setTextColor, setTextStyle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ALIGNMENT

    public static final ScaleAlignment DEFAULT_ALIGNMENT

### DEFAULT_TREE_DISTANCE_IN_MM

    public static final float DEFAULT_TREE_DISTANCE_IN_MM

See Also:
  Constant Field Values

### DEFAULT_WIDTH_IN_MM

    public static final float DEFAULT_WIDTH_IN_MM

See Also:
  Constant Field Values

### DEFAULT_HEIGHT_IN_MM

    public static final float DEFAULT_HEIGHT_IN_MM

See Also:
  Constant Field Values

### DEFAULT_SMALL_INTERVAL

    public static final float DEFAULT_SMALL_INTERVAL

  The default small interval length in branch length units.

  See Also:
    Constant Field Values

### DEFAULT_SMALL_INTERVAL_IN_MM

    public static final float DEFAULT_SMALL_INTERVAL_IN_MM

  The default small interval length in millimeters.

  See Also:
    `BranchLengthsScaler`, Constant Field Values

### DEFAULT_LONG_INTERVAL

    public static final int DEFAULT_LONG_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_START_LEFT

    public static final boolean DEFAULT_START_LEFT

See Also:
  Constant Field Values

### DEFAULT_INCREASING

    public static final boolean DEFAULT_INCREASING

See Also:
  Constant Field Values

### DEFAULT_TEXT_HEIGHT_IN_MM

    public static final float DEFAULT_TEXT_HEIGHT_IN_MM

See Also:
  Constant Field Values

### lineWidth

    private DistanceValue lineWidth

### lineColor

    private Color lineColor

### alignment

    private ScaleAlignment alignment

### treeDistance

    private DistanceValue treeDistance

### width

    private ScaleValue width

### height

    private DistanceValue height

### smallInterval

    private float smallInterval

### longInterval

    private int longInterval

### startLeft

    private boolean startLeft

### increasing

    private boolean increasing

Constructor Detail

### ScaleBarFormats

    public ScaleBarFormats()

Method Detail

### getLineColor

    public Color getLineColor()

  Specified by:
    `getLineColor` in interface `LineFormats`

### setLineColor

    public void setLineColor(Color color)

  Specified by:
    `setLineColor` in interface `LineFormats`

### getLineWidth

    public DistanceValue getLineWidth()

  Specified by:
    `getLineWidth` in interface `LineFormats`

### getAlignment

    public ScaleAlignment getAlignment()

### setAlignment

    public void setAlignment(ScaleAlignment scaleAnchor)

### getTreeDistance

    public DistanceValue getTreeDistance()

### getWidth

    public ScaleValue getWidth()

### getHeight

    public DistanceValue getHeight()

  Defines the height of the long dashes (the height of the text below is not included.)

  Returns:

### getLongInterval

    public int getLongInterval()

  The long interval specifies how often the scale bar is labeles with a value. The unit used to define it is the number of small intervals.

  Returns:

### setLongInterval

    public void setLongInterval(int longInterval)

### getSmallInterval

    public float getSmallInterval()

  The small interval speccifies the distance between the small dashes of the branch length scale bar in branch length units.

  Returns:

### setSmallInterval

    public void setSmallInterval(float smallInterval)

### isIncreasing

    public boolean isIncreasing()

### setIncreasing

    public void setIncreasing(boolean increasing)

### isStartLeft

    public boolean isStartLeft()

### setStartLeft

    public void setStartLeft(boolean startLeft)

### assignLineFormats

    public void assignLineFormats(LineFormats other)

  Specified by:
    `assignLineFormats` in interface `LineFormats`

### assignScaleBarFormats

    public void assignScaleBarFormats(ScaleBarFormats other)

### assign

    public void assign(ScaleBarFormats other)

### clone

    public ScaleBarFormats clone()

  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `LineFormats`
  Specified by:
    `clone` in interface `TextFormats`
  Overrides:
    `clone` in class `ConcreteTextFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD